Bug 864043 - [abrt] pyvnc2swf-0.9.5-11.fc17: swf.py:799:newid:AssertionError: the number of objects exceeded the limit!
Summary: [abrt] pyvnc2swf-0.9.5-11.fc17: swf.py:799:newid:AssertionError: the number o...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pyvnc2swf
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Timms
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:bff67f7f94f1101d12260bdc206...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-08 12:37 UTC by unix63
Modified: 2013-08-01 00:00 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-01 00:00:51 UTC


Attachments (Terms of Use)
File: event_log (36 bytes, text/plain)
2012-10-08 12:37 UTC, unix63
no flags Details
File: core_backtrace (1.07 KB, text/plain)
2012-10-08 12:37 UTC, unix63
no flags Details

Description unix63 2012-10-08 12:37:50 UTC
Version-Release number of selected component:
pyvnc2swf-0.9.5-11.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        python /usr/bin/vnc2swf -P .vnc/kylepsswd -n -o Desktop/3.swf kyle
kernel:         3.5.4-2.fc17.x86_64

backtrace:
:swf.py:799:newid:AssertionError: the number of objects exceeded the limit!
:
:Traceback (most recent call last):
:  File "/usr/bin/vnc2swf", line 611, in <module>
:    if __name__ == "__main__": sys.exit(main(sys.argv))
:  File "/usr/bin/vnc2swf", line 598, in main
:    merge=merge, debug=debug)
:  File "/usr/bin/vnc2swf", line 427, in vnc2swf
:    client.loop()
:  File "/usr/lib/python2.7/site-packages/pyvnc2swf/rfb.py", line 469, in loop
:    while self.loop1():
:  File "/usr/lib/python2.7/site-packages/pyvnc2swf/rfb.py", line 445, in loop1
:    self.finish_update()
:  File "/usr/lib/python2.7/site-packages/pyvnc2swf/rfb.py", line 133, in finish_update
:    self.fb.update_screen(time.time())
:  File "/usr/lib/python2.7/site-packages/pyvnc2swf/rfb.py", line 818, in update_screen
:    self.stream.next_frame()
:  File "/usr/lib/python2.7/site-packages/pyvnc2swf/output.py", line 564, in next_frame
:    self.add_object(self.screen.get_image(x0, y0, w, h), depth, x0, y0)
:  File "/usr/lib/python2.7/site-packages/pyvnc2swf/output.py", line 531, in add_object
:    self.place_object2(self.define_shape(w, h, data), x, y, depth)
:  File "/usr/lib/python2.7/site-packages/pyvnc2swf/output.py", line 427, in define_shape
:    shape_id = self.writer.newid()
:  File "/usr/lib/python2.7/site-packages/pyvnc2swf/swf.py", line 799, in newid
:    assert self.objid < 65536, 'the number of objects exceeded the limit!'
:AssertionError: the number of objects exceeded the limit!
:
:Local variables in innermost frame:
:self: <swf.SWFWriter instance at 0x1071b00>

Comment 1 unix63 2012-10-08 12:37:53 UTC
Created attachment 623442 [details]
File: event_log

Comment 2 unix63 2012-10-08 12:37:55 UTC
Created attachment 623443 [details]
File: core_backtrace

Comment 3 Fedora End Of Life 2013-07-03 22:16:04 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2013-08-01 00:00:55 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.